Name:          sisc
Version:       1.16.6
Release:       %mkrel 1
Summary:       Second Interpreter of Scheme Code
Group:         Development/Java
License:       GPL, MPL 1.1
Url:           http://sisc-scheme.org/
Source0:       http://sourceforge.net/projects/sisc/files/SISC/%{version}/sisc-%{version}.jar
BuildRequires: ant
BuildRequires: docbook-style-xsl
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: xsltproc
Requires:      jpackage-utils
BuildArch:     noarch

%description
A Java integrated, fully R5RS compliant Scheme system.

SISC is an extensible Java based interpreter of the algorithmic language 
Scheme.  SISC uses modern interpretation techniques, and handily outperforms 
all existing JVM interpreters (often by more than an order of magnitude).
.
In addition, SISC is a complete implementation of the language. The entire 
R5RS Scheme standard is supported, no exceptions. This includes a full number 
tower including complex number support, arbitrary precision integers and 
floating  point numbers, as well as hygenic R5RS macros, proper tail
recursion,  and first-class continuations (not just the escaping 
continuations as in many limited Scheme systems).  SISC also attempts to 
implement the standard as correctly as possible, while still providing 
exceptional performance.
.
SISC also provides useful real-world extensions, such as networking, elegant 
exception handling, a scope-friendly module system, support for SLIB, 
numerous SRFIs, and a Java foreign-function interface.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
SISC, Second Interpreter of Scheme Code.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
SISC, Second Interpreter of Scheme Code.

This package contains documents for %{name}.

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%build

cd sisc
ant -Ddoc.style=%{_datadir}/sgml/docbook/xsl-stylesheets/html/chunk.xsl

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/sisc
install -m 644 sisc/sisc.shp %{buildroot}%{_datadir}/sisc

mkdir -p %{buildroot}%{_javadir}

install -m 644 sisc/sisc.jar \
  %{buildroot}%{_javadir}/sisc-%{version}.jar
install -m 644 sisc/sisc-heap.jar \
  %{buildroot}%{_javadir}/sisc-heap-%{version}.jar
install -m 644 sisc/sisc-lib.jar \
  %{buildroot}%{_javadir}/sisc-lib-%{version}.jar
install -m 644 sisc/sisc-opt.jar \
  %{buildroot}%{_javadir}/sisc-opt-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_bindir}
install -m 755 sisc/dist/debian/sisc %{buildroot}%{_bindir}/sisc
mkdir -p %{buildroot}%{_mandir}/man1

(
  cd sisc/doc/man/
  xz -9 sisc.1
  install -m 644 sisc.1.xz %{buildroot}%{_mandir}/man1/
)

mkdir -p %{buildroot}%{_javadocdir}/sisc-%{version}
cp -pr sisc/doc/generated/javadoc/* %{buildroot}%{_javadocdir}/sisc-%{version}
ln -sf sisc-%{version} %{buildroot}%{_javadocdir}/sisc
rm -rf sisc/doc/generated/javadoc

mkdir -p %{buildroot}%{_docdir}/sisc
cp -pr sisc/doc/generated/* %{buildroot}%{_docdir}/sisc

%files
%{_bindir}/sisc
%{_javadir}/sisc-%{version}.jar
%{_javadir}/sisc.jar
%{_javadir}/sisc-heap-%{version}.jar
%{_javadir}/sisc-heap.jar
%{_javadir}/sisc-lib-%{version}.jar
%{_javadir}/sisc-lib.jar
%{_javadir}/sisc-opt-%{version}.jar
%{_javadir}/sisc-opt.jar
%dir %{_datadir}/sisc
%{_datadir}/sisc/*
%{_mandir}/man1/sisc.1.xz
%doc sisc/COPYING sisc/ChangeLog sisc/GOALS
%doc sisc/LICENSE.txt sisc/README sisc/TODO

%files javadoc
%{_javadocdir}/sisc-%{version}
%{_javadocdir}/sisc

%files manual
%doc %{_docdir}/sisc



%changelog
* Tue Aug 02 2011 dmorgan <dmorgan> 1.16.6-1.mga2
+ Revision: 131291
- Clean spec file

  + gil <gil>
    - imported package sisc


* Mon Jun 06 2011 gil <gil> 1.16.6-0.%%mkrel
- initial rpm